<!DOCTYPE xsl:stylesheet PUBLIC 'http://www.w3.org/1999/XSL/Transform'
      'xslt10.dtd' [

<!--* tlslidy.xsl:  translate from TEI Lite into HTML suitable
    * for use with Slidy.
    *-->

<!--* Revisions:
    * 2009-08-06 : CMSMcQ : clean things up a bit to make the
    *                       system easier to share.
    * ...
    * 2006-08-21 : CMSMcQ : stylesheet apparently working (unless
    *                       I wrote those slides by hand).
    * 2006-08-09 : CMSMcQ : first cut at this stylesheet.  Not quite
    *                       finished.  (At Balisage on 9 August, I
    *                       ended up using my old slide style.)
    *-->

<!--* For to-do see bottom of file *-->

<!ATTLIST xsl:stylesheet 
          xmlns:xsl  CDATA 'http://www.w3.org/1999/XSL/Transform'
          xmlns:slides CDATA 'http://cmsmcq.com/lib/tlslidy'
>

<!ENTITY nbsp   "&#xA0;" >
<!ENTITY larr   "&#x2190;" ><!--/leftarrow /gets A: =leftward arrow-->
<!ENTITY rarr   "&#x2192;" ><!--/rightarrow /to A: =rightward arrow-->
<!ENTITY uarr   "&#x2191;" ><!--/uparrow A: =upward arrow-->
<!ENTITY darr   "&#x2193;" ><!--/downarrow A: =downward arrow-->

<!ENTITY nl     "&#xA;" >
<!ATTLIST xsl:text xmlns:xsl CDATA #IMPLIED>
<!ENTITY txtnl  "<xsl:text xmlns:xsl='http://www.w3.org/1999/XSL/Transform'>&#xA;</xsl:text>" >
<!ENTITY txtnlnl  "<xsl:text xmlns:xsl='http://www.w3.org/1999/XSL/Transform'>&#xA;&#xA;</xsl:text>" >


<!ENTITY bmt-img-dir "http://www.blackmesatech.com/images/blackmesa">

]>
<xsl:stylesheet 
 version="1.0"
 xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
 xmlns:slides="http://cmsmcq.com/lib/tlslidy"
>

 <xsl:import href="swebtohtml.xsl"/>

 <xsl:output method="html" 
  doctype-public="-//W3C//DTD XHTML 1.0 Strict//EN" 
  doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"
  />

 <!--* Parameters:  can override these in local.xsl *-->
 <xsl:param name="slides:copyright-year">MMX</xsl:param>
 <xsl:param name="slides:copyright-owner">Black Mesa Technologies LLC</xsl:param>
 <xsl:param name="slides:copyright-notice"
      select="concat(
       'Copyright &#169; ',
       $slides:copyright-year,
       ' ',
       $slides:copyright-owner,
       ', All Rights Reserved.'
       )"/>

 <xsl:param name="slides:slidyloc">w3.org</xsl:param>
 <xsl:param name="slides:main-stylesheet">slidy.css</xsl:param>
 <!--* or w3c-blue.css *-->
 <xsl:param name="slides:include-takahashi">true</xsl:param>
 <xsl:param name="slides:include-background-div">false</xsl:param>
 <xsl:param name="showhid">false</xsl:param>

 <!--* Cruft:  parameters retained for now, but destined to
     * be restructured out of existence.
     *-->
 <xsl:param name="w3ctalk">
  <xsl:choose>
   <xsl:when test="/TEI.2[@rend='w3ctalk' 
    or @rend='w3c-public'
    or @rend='w3c-member'
    or @rend='w3c-team']">true</xsl:when>
   <xsl:when test="/TEI.2[@rend='msmtalk' 
    or @rend='msm'
    or @rend='bmt']">false</xsl:when>
   <xsl:otherwise>false</xsl:otherwise>
  </xsl:choose>
 </xsl:param>
 <xsl:param name="msmtalk">
  <xsl:choose>
   <xsl:when test="/TEI.2[@rend='w3ctalk' 
    or @rend='w3c-public'
    or @rend='w3c-member'
    or @rend='w3c-team'
    or @rend='bmt']">false</xsl:when>
   <xsl:when test="/TEI.2[@rend='msmtalk' 
    or @rend='msm']">true</xsl:when>
   <xsl:otherwise>false</xsl:otherwise>
  </xsl:choose>
 </xsl:param>
 <xsl:param name="bmttalk">
  <xsl:choose>
   <xsl:when test="/TEI.2[@rend='w3ctalk' 
    or @rend='w3c-public'
    or @rend='w3c-member'
    or @rend='w3c-team']">false</xsl:when>
   <xsl:when test="/TEI.2[@rend='msmtalk' 
    or @rend='msm']">false</xsl:when>
   <xsl:when test="/TEI.2[@rend='bmttalk' 
    or @rend='bmt']">true</xsl:when>
   <xsl:otherwise>false</xsl:otherwise>
  </xsl:choose>
 </xsl:param>
 <xsl:param name="slides:bmt-img-dir">&bmt-img-dir;</xsl:param>


 <!--* Derived values:  defined as parameters so they can be overridden
     * if you need to, but it is not expected that you will often need to.
     *-->
 <xsl:param name="slides:slidydir">
  <xsl:choose>
   <xsl:when test="$slides:slidyloc = 'w3.org'">
    <xsl:text>http://www.w3.org/Talks/Tools/Slidy</xsl:text>
   </xsl:when>
   <xsl:when test="$slides:slidyloc = 'local'">
    <xsl:text>./lib/Slidy</xsl:text>
   </xsl:when>
   <xsl:otherwise>
    <xsl:value-of select="$slides:slidyloc"/>
   </xsl:otherwise>
  </xsl:choose>
 </xsl:param>
 <xsl:param name="slides:main-style-uri"
  select="concat($slides:slidydir,'/',$slides:main-stylesheet)"/>

 <xsl:template match="div0[@rend='suppress'] 
                      | body/div[@rend='suppress']" priority="10"/>
 <xsl:template match="div1[@rend='suppress']" priority="10"/>
<!--*
 <xsl:template match="div1[@rend='suppress'] 
                      | body/div/div[@rend='suppress']" priority="-10"/>
*-->


 <xsl:template match='/'>

  <xsl:element name="html">&txtnl;
   <xsl:comment>
    <xsl:text>Need to find a way to insert the current date</xsl:text>
   </xsl:comment>&txtnl;
   <xsl:element name="head">&txtnl;
    <xsl:element name="title">
     <xsl:value-of select="/TEI.2/teiHeader/fileDesc/titleStmt/title[1]"/>
    </xsl:element>&txtnl;
    <xsl:element name="meta">
     <xsl:attribute name="name">copyright</xsl:attribute>
     <xsl:attribute name="content">
      <xsl:value-of select="$slides:copyright-notice"/>
     </xsl:attribute>
    </xsl:element>&txtnlnl;

    <xsl:call-template name="slides:stylesheet-links"/>

    <xsl:element name="style">
     <xsl:attribute name="type">text/css</xsl:attribute>
     <xsl:text>
    body {  
      <!--* margin: 2em 1em 2em 70px;   *-->
      margin: 2em 1em 2em 1.0em;  
      font-family: Verdana, Arial, Lucida, Lucida Sans Unicode, sans-serif, Sans, Standard Symbols L;    
      color: black;    
      background-color: white;
    }
    div {  
      margin-left: 1em;
      margin-right: 1em;
    }
      p {
      margin-top: 0.6em;      
      margin-bottom: 0.6em;
    }
    p.bibl {
      margin-top: 0.6em;      
      margin-bottom: 0.6em;
      margin-left: 2em;
      text-indent: -2em;
    }
    .Real-P {
      margin-top: 0.6em;      
      margin-bottom: 0.6em;
    }
    div.address {
      margin-top: 0.6em;      
      margin-bottom: 0.6em;
      margin-left: 2em;
    }
    div.note {
      margin-top: 1em;      
      margin-left: 2em;
      <!--* text-indent: -2em; *-->
    }
    pre {  
      font-family: monospace;
      margin-left: 2em 
    }  
    a:hover { 
      background: #CCF 
    }
    td.no { 
      background: #CCF 
    }
    .author { 
      font-size: x-large
    }
    .bio { 
      font-size: small;
      font-style: italic
    }
    span.decision { 
    }
    span.result { 
      font-weight: bold
    }
    span.aye { 
      display: block;
      margin-left: 2em;
    }
    span.nay { 
      display: block;
      margin-left: 2em;
    }
    span.abstain { 
      display: block;
      margin-left: 2em;
    }
    span.result { 
      display: block;
      margin-left: 2em;
      font-weight: bold
    }
    span.speaker { 
      display: inline;
    }
    div.notes { display: none; }
    div.handout { background-color: #DDF; 
      font-size: 80%; 
      padding: 1em;
    }
     </xsl:text>
    </xsl:element>&txtnl;
   </xsl:element>&txtnlnl;
   <xsl:element name="body">&txtnl;
    <!--* <xsl:element name="xmp"> *-->
    <xsl:if test="$slides:include-background-div = 'true'">
     <xsl:call-template name="slides:background-div" />
    </xsl:if>
    
    <xsl:apply-templates/>
    <!--* </xsl:element> *-->
   </xsl:element>&txtnl;
  </xsl:element>
 </xsl:template>
 
 <xsl:template name="slides:stylesheet-links">
  <xsl:element name="link">
   <xsl:attribute name="rel">stylesheet</xsl:attribute>
   <xsl:attribute name="type">text/css</xsl:attribute>
   <xsl:attribute name="media">screen, projection</xsl:attribute>
   <xsl:attribute name="href"><xsl:value-of 
     select="$slides:main-style-uri"/></xsl:attribute>
  </xsl:element>&txtnl;
  <xsl:if test="$slides:include-takahashi = 'true'">
   <xsl:element name="link">
    <xsl:attribute name="rel">stylesheet</xsl:attribute>
    <xsl:attribute name="type">text/css</xsl:attribute>
    <xsl:attribute name="media">screen, projection</xsl:attribute>
    <xsl:attribute name="href"><xsl:value-of 
      select="concat($slides:slidydir,'/takahashi.css')"/></xsl:attribute>
   </xsl:element>&txtnl;
  </xsl:if>
  <xsl:element name="script">
   <xsl:attribute name="src">
    <xsl:value-of select="concat($slides:slidydir,'/','slidy.js')" />
   </xsl:attribute>
   <xsl:attribute name="type">text/javascript</xsl:attribute>
  </xsl:element>&txtnl;
  <xsl:element name="link">
   <xsl:attribute name="rel">stylesheet</xsl:attribute>
   <xsl:attribute name="type">text/css</xsl:attribute>
   <xsl:attribute name="media">print</xsl:attribute>
   <xsl:attribute name="href"><xsl:value-of 
     select="concat($slides:slidydir,'/','print.css')" /></xsl:attribute>
  </xsl:element>&txtnlnl;
 </xsl:template>

 <xsl:template name="slides:background-div">
  <!--* by default, if you want a background-div, you're using
      * the 'W3C blue' theme, and you're giving a Black Mesa talk.
      *-->
  <xsl:call-template name="slides:bmt-background-div">
  </xsl:call-template>
 </xsl:template>

 <xsl:template name="slides:bmt-background-div">
  <xsl:call-template name="slides:w3c-blue-theme-background-div"/>
 </xsl:template>
 <xsl:template name="slides:w3c-talk-background-div">
  <!--* historical interest only, I think *-->
  <xsl:call-template name="slides:w3c-blue-theme-background-div">
   <xsl:with-param name="head-icon-title"></xsl:with-param>
   <xsl:with-param name="head-icon-alttext">graphic with four colored squares</xsl:with-param>
   <xsl:with-param name="head-icon-src">
    <xsl:value-of select="concat($slides:slidydir,'/','icon-blue.png')" />
   </xsl:with-param>
   
   <xsl:with-param name="head-logo-title">W3C logo</xsl:with-param>
   <xsl:with-param name="head-logo-alttext">W3C logo</xsl:with-param>
   <xsl:with-param name="head-logo-src">
    <xsl:value-of select="concat($slides:slidydir,'/','w3c-logo-blue.svg')" />
   </xsl:with-param>
   
   <xsl:with-param name="head-logo-fallback-title">W3C logo</xsl:with-param>
   <xsl:with-param name="head-logo-fallback-alttext">W3C logo</xsl:with-param>
   <xsl:with-param name="head-logo-fallback-src">
    <xsl:value-of select="concat($slides:slidydir,'/','w3c-logo-blue.png')" />
   </xsl:with-param>
  </xsl:call-template>
 </xsl:template>
 <xsl:template name="slides:msm-talk-background-div">
  <!--* historical interest? or live? uncertain.  If live, needs revision. *-->
  <xsl:call-template name="slides:w3c-blue-theme-background-div">
   <xsl:with-param name="head-icon-title"></xsl:with-param>
   <xsl:with-param name="head-icon-alttext">graphic with four colored squares</xsl:with-param>
   <xsl:with-param name="head-icon-src">
    <xsl:value-of select="concat($slides:slidydir,'/','icon-blue.png')" />
   </xsl:with-param>
   
   <xsl:with-param name="head-logo-title">W3C logo</xsl:with-param>
   <xsl:with-param name="head-logo-alttext">W3C logo</xsl:with-param>
   <xsl:with-param name="head-logo-src">
    <xsl:value-of select="concat($slides:slidydir,'/','w3c-logo-blue.svg')" />
   </xsl:with-param>
   
   <xsl:with-param name="head-logo-fallback-title">W3C logo</xsl:with-param>
   <xsl:with-param name="head-logo-fallback-alttext">W3C logo</xsl:with-param>
   <xsl:with-param name="head-logo-fallback-src">
    <xsl:value-of select="concat($slides:slidydir,'/','w3c-logo-blue.png')" />
   </xsl:with-param>
  </xsl:call-template>
 </xsl:template>

 <xsl:template name="slides:w3c-blue-theme-background-div">
  <xsl:param name="head-icon-title"></xsl:param>
  <xsl:param name="head-icon-alttext">graphic with four colored squares</xsl:param>
  <xsl:param name="head-icon-src">
   <xsl:value-of select="concat($slides:slidydir,'/','icon-blue.png')" />
  </xsl:param>

  <xsl:param name="head-logo-title">BMT logo</xsl:param>
  <xsl:param name="head-logo-src">
   <xsl:value-of select="concat($slides:bmt-img-dir,'/','bmsil07.svg')" />
  </xsl:param>

  <xsl:param name="head-logo-fallback-title">BMT logo</xsl:param>
  <xsl:param name="head-logo-fallback-alttext">BMT logo</xsl:param>
  <xsl:param name="head-logo-fallback-src">
   <xsl:value-of select="concat($slides:bmt-img-dir,'/','bmsil07.png')" />
  </xsl:param>

  <xsl:element name="div">
   <xsl:attribute name="class">background</xsl:attribute>
   <xsl:element name="img">
    <xsl:attribute name="id">head-icon</xsl:attribute>
    <xsl:attribute name="alt"><xsl:value-of select="$head-icon-alttext"/></xsl:attribute>
    <xsl:attribute name="src"><xsl:value-of select="$head-icon-src"/></xsl:attribute>
    <xsl:attribute name="align">left</xsl:attribute>
   </xsl:element>
   <xsl:element name="object">
    <xsl:attribute name="id">head-logo</xsl:attribute>
    <xsl:attribute name="title"><xsl:value-of select="$head-logo-title"/></xsl:attribute>
    <xsl:attribute name="type">image/svg+xml</xsl:attribute>
    <xsl:attribute name="data"><xsl:value-of select="$head-logo-src" /></xsl:attribute>
    <xsl:element name="img">
     <xsl:attribute name="id">head-logo-fallback</xsl:attribute>
     <xsl:attribute name="alt"><xsl:value-of select="$head-logo-fallback-alttext"/></xsl:attribute>
     <xsl:attribute name="src"><xsl:value-of select="$head-logo-fallback-src" /></xsl:attribute>
     <xsl:attribute name="align">right</xsl:attribute>
    </xsl:element>
   </xsl:element>
  </xsl:element>
 </xsl:template>

 <xsl:template match="nothing-matches">
  <!--* Dead code (*-->
  <xsl:choose>
   <xsl:when test="/TEI.2[@rend='w3c-member']">
    <xsl:call-template name="w3cmemberonly"/>
   </xsl:when>
   <xsl:when test="/TEI.2[@rend='w3c-team']">
    <xsl:call-template name="w3cteamonly"/>
   </xsl:when>
   <xsl:when test="/TEI.2/@rend='w3c-public'">
    <xsl:call-template name="w3cpublic"/>
   </xsl:when>
   <xsl:when test="$w3ctalk='true'">
    <xsl:call-template name="slides:w3c-talk-background-div"/>
   </xsl:when>
   <xsl:when test="$msmtalk='true'">
    <xsl:call-template name="slides:msm-talk-background-div"/>
   </xsl:when>
   <xsl:when test="$bmttalk='true'">
    <xsl:call-template name="slides:bmt-background-div"/>
   </xsl:when>
   <xsl:otherwise>
   </xsl:otherwise>
  </xsl:choose>
 </xsl:template>

 <!--* the use of divGen does not currently work right; messes up the
     * links, for reasons that are fairly obvious
     *-->
 <xsl:template match="divGen[@type='slidecopy' and @corresp]">
  <xsl:variable name="idCorresp" select="@corresp"/>
  <xsl:apply-templates select="id($idCorresp)" mode="norm"/>
 </xsl:template>
 <xsl:template match="*" mode="norm">
  <xsl:call-template name="div1-normal">
  </xsl:call-template>
 </xsl:template>

 <!--* for now, just suppress the toc *-->
 <xsl:template name="dotoc" />


 <xsl:template match="div1 | body/div/div" name="div1-normal">
  <xsl:text>&#xA;</xsl:text>
  <xsl:element name="div">
   <xsl:attribute name="class">slide</xsl:attribute>
   <xsl:attribute name="style">
    <!--*
    <xsl:if test="@rend='suppress'">
     color: gray;
    </xsl:if>
    *-->
    <xsl:if test="@rend='suppress' or parent::div0[@rend='suppress']
                  or parent::div[@rend='suppress']">
     color: #555;
     background-color: #CCC;
    </xsl:if>
    <xsl:if test="@rend='orientation'">
     background-color: #CCCCFF;
     height: 23em;
    </xsl:if>
   </xsl:attribute>
   <xsl:text>&#xA;</xsl:text>
   <xsl:apply-templates/>
  </xsl:element>
  <xsl:if test="./note[not(@type) or (@type='handout')]">
    <xsl:element name="div">
      <xsl:attribute name="class">handout</xsl:attribute>
      <xsl:text>&#xA;</xsl:text>
      <xsl:apply-templates select="./note" mode="handout"/>
    </xsl:element>
  </xsl:if>
 </xsl:template>
 <xsl:template match="div1[@rend='handout'] | body/div/div[@rend='handout']" name="div1-handout">
  <xsl:text>&#xA;</xsl:text>
  <xsl:element name="div">
   <xsl:attribute name="class">handout</xsl:attribute>
   <xsl:text>&#xA;</xsl:text>
   <xsl:apply-templates/>
  </xsl:element>
 </xsl:template>

 <xsl:template match="div0 | body/div" name="section-title">
  <xsl:text>&#xA;</xsl:text>
  <xsl:element name="div">
   <xsl:attribute name="class">guide slide</xsl:attribute>
   <xsl:if test="@rend='suppress'">
    <xsl:attribute name="style">
     color: #555;
     background-color: #CCC;
    </xsl:attribute>
   </xsl:if>
   <!--* try using orientation coloring for all div0s *-->
    <xsl:if test="1=2 and @rend='orientation'">
     <!--* background-color doesn't cover enough, do NOT use it *-->
     <!--* background-color: #CCCCFF; *-->
     <!--* color: blue; *-->
     <!--* color: #90A7D0; is color of w3cblue.css background *-->
     <!--* color: #3D64CB; is a related color, more saturation *-->
     color: #0C479D; <!--* is the color of the W in W3C in logo used by slidy *-->
     height: 23em;
    </xsl:if>
   <xsl:text>&#xA;</xsl:text>
   <xsl:apply-templates select="head|p|list|epigraph"/>
  </xsl:element>
  <xsl:apply-templates select="div1|div"/>
 </xsl:template>

 <xsl:template match="titlePage">
  <xsl:text>&#xA;</xsl:text>
  <xsl:element name="div">
   <xsl:attribute name="class">slide cover</xsl:attribute>
   <xsl:text>&#xA;</xsl:text>
   <xsl:choose>
    <xsl:when test="$w3ctalk='true'">
     <xsl:element name="img">
      <xsl:attribute name="src"><xsl:value-of select="concat($slides:slidydir,'/','keys.jpg')"
	  /></xsl:attribute>
      <xsl:attribute name="alt">Cover page image (keys)</xsl:attribute>
      <xsl:attribute name="class">cover</xsl:attribute>
     </xsl:element>
    </xsl:when>
    <xsl:when test="$msmtalk='true'">
     <xsl:comment>* cover image goes here, if you have one *</xsl:comment>&txtnl;
    </xsl:when>
    <xsl:otherwise>
     <xsl:comment>* cover image goes here, if you have one *</xsl:comment>&txtnl;
    </xsl:otherwise>
   </xsl:choose>
<!--*
   <xsl:element name="br">
    <xsl:attribute name="clear">all</xsl:attribute>
   </xsl:element>
*-->
   <xsl:apply-templates/>
  </xsl:element>
 </xsl:template>

 <xsl:template match="docAuthor|docDate">
  <xsl:element name="h3">
   <xsl:apply-templates/>
  </xsl:element>
 </xsl:template>

 <xsl:template match="docAuthor//address">
   <xsl:apply-templates/>
 </xsl:template>

 <xsl:template match="docAuthor//addrLine">
  <xsl:element name="div">
   <xsl:apply-templates/>
  </xsl:element>
 </xsl:template>
 
 <xsl:template match="titlePage/titlePart">
  <xsl:element name="h3">
   <xsl:apply-templates/>
  </xsl:element>
 </xsl:template>
 
 <xsl:template match="titlePage/docTitle">
  <xsl:element name="div">
   <xsl:apply-templates/>
  </xsl:element>
 </xsl:template>
 
 <xsl:template match="div0/head|div1/head|body/div/head|back/div/head|front/div/head">
  
  <xsl:element name="h1">
   <xsl:apply-templates/>
  </xsl:element>
  &txtnl;
 </xsl:template>

 <xsl:template match="div2/head|body/div/div/head|back/div/div/head|front/div/div/head">
  <xsl:element name="h2">
   <xsl:attribute name="class">slidehead</xsl:attribute>
   <!--*
   <xsl:attribute name="style">
    font-size: 170%;
    margin-top: 0.2em;
   </xsl:attribute>
   *-->
   <xsl:apply-templates/>
  </xsl:element>
 </xsl:template>

 <xsl:template match="eg">
  <xsl:element name="pre">
   <xsl:attribute name="style">margin-left: 1em</xsl:attribute>
   <xsl:apply-templates/>
  </xsl:element>
 </xsl:template>

 <xsl:template match="seg">
  <xsl:element name="span">
   <xsl:apply-templates select="node()|@*"/>
  </xsl:element>
 </xsl:template>

 <xsl:template match="seg/@rend">
  <xsl:choose>
   <xsl:when test=". = 'sym'">
    <xsl:attribute name="style">font-family: Lucida Sans Unicode</xsl:attribute>
   </xsl:when>
   <xsl:when test=". = 'incremental'">
    <xsl:attribute name="class">incremental</xsl:attribute>
   </xsl:when>
   <xsl:when test=". = 'non-incremental'">
    <xsl:attribute name="class">non-incremental</xsl:attribute>
   </xsl:when>
   <xsl:when test=". = 'red'">
    <xsl:attribute name="style">color: red; font-weight: bold;</xsl:attribute>
   </xsl:when>
   <xsl:when test=". = 'green'">
    <xsl:attribute name="style">color: green; font-weight: bold;</xsl:attribute>
   </xsl:when>
   <xsl:when test=". = 'blue'">
    <xsl:attribute name="style">color: blue; font-weight: bold;</xsl:attribute>
   </xsl:when>
  </xsl:choose>
 </xsl:template>

 <xsl:template match="seg/@*"/>

 <xsl:template match="table[@rend='wg-overview']">
  <xsl:element name="table">
   <xsl:attribute name="border">0</xsl:attribute>
   <xsl:attribute name="width">90%</xsl:attribute>
   <xsl:attribute name="style">
    margin-left:7%; margin-top: 1em; margin-bottom: 1em;
   </xsl:attribute>
   <xsl:text>&#xA;</xsl:text>
   <xsl:element name="col">
    <xsl:attribute name="valign">top</xsl:attribute>
    <!--* <xsl:attribute name="width">50%</xsl:attribute> *-->
   </xsl:element>
   <xsl:text>&#xA;</xsl:text>
   <xsl:element name="col">
    <xsl:attribute name="valign">top</xsl:attribute>
    <!--* <xsl:attribute name="width">50%</xsl:attribute> *-->
   </xsl:element>
   <xsl:text>&#xA;</xsl:text>
   <xsl:element name="tbody">
    <xsl:apply-templates/>
   </xsl:element>
   <xsl:text>&#xA;</xsl:text>
  </xsl:element>
 </xsl:template>

 <!--* an ad hoc rule for XML 2005, should go into a document-specific stylesheet *-->
 <xsl:template match="p[@rend='vvvsmall']">
  <xsl:element name="p">
   <xsl:choose>
    <xsl:when test="count(following-sibling::p)">
     <xsl:attribute name="style">font-size: xx-small; margin-left: 25%; margin-right: 20%</xsl:attribute>
    </xsl:when>
    <xsl:otherwise>
     <xsl:attribute name="style">font-size: xx-small; margin-left: 25%; margin-right: 20%; margin-bottom: 25em;</xsl:attribute>
    </xsl:otherwise>
   </xsl:choose>
   <xsl:apply-templates/>
  </xsl:element>
 </xsl:template>
 <xsl:template match="p[@rend='disclaimer']">
  <xsl:element name="p">
   <xsl:attribute name="style">margin-left: 15%; margin-right: 10%;</xsl:attribute>
   <xsl:apply-templates/>
  </xsl:element>
 </xsl:template>

 <!--* allow incremental lists *-->
 <xsl:template match="item[@rend='incremental']">
  <xsl:element name="li">
   <xsl:attribute name="class">incremental</xsl:attribute>
   <xsl:apply-templates/>
  </xsl:element>
 </xsl:template>
 <xsl:template match="p[@rend='incremental']">
  <xsl:element name="p">
   <xsl:attribute name="class">incremental</xsl:attribute>
   <xsl:apply-templates/>
  </xsl:element>
 </xsl:template>


 <!--* If we have an emph element inside an incremental bit,
     * don't make it be a separate click. *-->
 <xsl:template match="emph[ancestor::*/@rend='incremental']">
  <xsl:element name="em">
   <xsl:attribute name="class">non-incremental</xsl:attribute>
   <xsl:apply-templates/>
  </xsl:element>
 </xsl:template>

 <xsl:template match="epigraph">
  <xsl:element name="blockquote">
   <xsl:apply-templates/>
  </xsl:element>
 </xsl:template>
 <xsl:template match="epigraph/q">
  <xsl:element name="div">
   <xsl:attribute name="style">font-style: italic;</xsl:attribute>
   <xsl:choose>
    <xsl:when test="p"><xsl:apply-templates/></xsl:when>
    <xsl:otherwise>
     <xsl:element name="p"><xsl:apply-templates/></xsl:element>
    </xsl:otherwise>
   </xsl:choose>
  </xsl:element>
 </xsl:template>
 <xsl:template match="epigraph/bibl">
  <xsl:element name="p">
   <xsl:attribute name="style">margin-left: 50%;</xsl:attribute>
   <xsl:text>-</xsl:text>
   <xsl:apply-templates/>
  </xsl:element>
 </xsl:template>

 <xsl:template match="note[@type='agate']" priority="2">
  <xsl:element name="div">
   <xsl:attribute name="style">margin-left: 2em; font-size: smaller;</xsl:attribute>
   <xsl:apply-templates/>
  </xsl:element>
 </xsl:template>

 <xsl:template match="div/note"/>
 <xsl:template match="div/note" mode="handout">
   <xsl:apply-templates/>
 </xsl:template>

 <!--* special rules for add and del, for demos *-->
 <xsl:template match="add[@rend='bw']">
  <xsl:element name="span">
   <xsl:text>&uarr;</xsl:text>
   <xsl:apply-templates/>
   <xsl:text>&darr;</xsl:text>
  </xsl:element>
 </xsl:template>
 <xsl:template match="add[@rend='color']">
  <xsl:element name="span">
   <xsl:attribute name="style">
    color: navy;
   </xsl:attribute>
   <xsl:text>&uarr;</xsl:text>
   <xsl:apply-templates/>
   <xsl:text>&darr;</xsl:text>
  </xsl:element>
 </xsl:template>
 <xsl:template match="del[@rend='bw']">
  <xsl:element name="del">
   <xsl:attribute name="style">
    text-decoration: line-through;
   </xsl:attribute>
   <xsl:apply-templates/>
  </xsl:element>
 </xsl:template>
 <xsl:template match="del[@rend='color']">
  <xsl:element name="del">
   <xsl:attribute name="style">
    text-decoration: line-through;
    color: red;
   </xsl:attribute>
   <xsl:apply-templates/>
  </xsl:element>
 </xsl:template>

  <xsl:template match="figure" priority="1">
  <xsl:element name="blockquote">
   <xsl:if test="@id">
    <xsl:element name="a">
     <xsl:attribute name="name">
      <xsl:value-of select="generate-id(.)"/>
     </xsl:attribute>
    </xsl:element>
   </xsl:if>
   <xsl:element name="p">
    <xsl:element name="object">
     <xsl:attribute name="data">
      <xsl:value-of select="unparsed-entity-uri(@entity)"/>
     </xsl:attribute>
     <!--* <xsl:attribute name="height">80%</xsl:attribute> *-->
     <xsl:choose>
      <xsl:when test="@rend='bleed'">
       <xsl:attribute name="width">120%</xsl:attribute>
       <xsl:attribute name="style">margin-left: -10%</xsl:attribute>
      </xsl:when>
      <xsl:when test="@rend='40%'">
       <xsl:attribute name="width">40%</xsl:attribute>
      </xsl:when>
      <xsl:when test="@rend='50%'">
       <xsl:attribute name="width">50%</xsl:attribute>
      </xsl:when>
      <xsl:when test="@rend='60%'">
       <xsl:attribute name="width">60%</xsl:attribute>
      </xsl:when>
      <xsl:when test="@rend='65%'">
       <xsl:attribute name="width">65%</xsl:attribute>
      </xsl:when>
      <xsl:when test="@rend='70%'">
       <xsl:attribute name="width">70%</xsl:attribute>
      </xsl:when>
      <xsl:when test="@rend='75%'">
       <xsl:attribute name="width">75%</xsl:attribute>
      </xsl:when>
      <xsl:when test="@rend='80%'">
       <xsl:attribute name="width">80%</xsl:attribute>
      </xsl:when>
      <xsl:when test="@rend='85%'">
       <xsl:attribute name="width">85%</xsl:attribute>
      </xsl:when>
      <xsl:when test="@rend='90%'">
       <xsl:attribute name="width">90%</xsl:attribute>
      </xsl:when>
      <xsl:when test="@rend='95%'">
       <xsl:attribute name="width">95%</xsl:attribute>
      </xsl:when>
      <xsl:when test="@rend='100%'">
       <xsl:attribute name="width">100%</xsl:attribute>
      </xsl:when>
      <xsl:when test="@rend='110%'">
       <xsl:attribute name="width">110%</xsl:attribute>
      </xsl:when>
      <xsl:otherwise>
       <xsl:attribute name="width">80%</xsl:attribute>
      </xsl:otherwise>
     </xsl:choose>
    </xsl:element>
   </xsl:element>
   <xsl:apply-templates/>
  </xsl:element>
 </xsl:template>

 <xsl:template match="div1/p/gap"/>

 <xsl:template match="q[@rend='block']|q[@type='block']|q[@rend='display']">
  <xsl:element name="blockquote">
   <xsl:attribute name="style">font-style: normal;</xsl:attribute>
   <xsl:choose>
    <xsl:when test="./p">
     <xsl:apply-templates/>
    </xsl:when>
    <xsl:otherwise>
     <xsl:element name="p">
      <xsl:apply-templates/>
     </xsl:element>
    </xsl:otherwise>
   </xsl:choose>
  </xsl:element>
 </xsl:template>
 <xsl:template match="bibl[@rend='right']">
  <xsl:call-template name="epigraph-bibl"/>
 </xsl:template>

 <xsl:template match="p[@id='htmlviewofpsvi']">
<div class="Real-P">We can use style the serialized PSVI 
(<em>tds.xml.psvi.out.xerces.xml</em>)
to highlight validity
problems
(<em>tds.xml.psvi.out.xerces.html</em>):
<div styhle="font-size: smaller">
<!--* <h3>PSVI output</h3> *-->
<div style="margin-left: 1em;color:green; background-color:#CCD">
<span style="font-weight:bold" title="p:poem []">&lt;p:poem&nbsp;<span style="color:green; background-color:white" title="xsi:schemaLocation">xsi:schemaLocation=&quot;http://www.example.com/poetry tds.xsd&quot;</span>&gt;</span>
<div style="margin-left: 1em;color:green; background-color:white">
<span style="font-weight:bold" title="p:title []">&lt;p:title&gt;</span>The duck<span style="font-weight:bold">&lt;/p:title&gt;</span>
</div>
<div style="margin-left: 1em;color:green; background-color:#AAC">
<span style="font-weight:bold" title="p:author []">&lt;p:author&gt;</span>
  <div style="margin-left: 1em;color:orange; background-color:#888">
<span style="font-weight:bold" title="p:givenname []">&lt;p:givenname&gt;</span>Ogden<span style="font-weight:bold">&lt;/p:givenname&gt;</span>
</div>
  <div style="margin-left: 1em;color:orange; background-color:#888">
<span style="font-weight:bold" title="p:surname []">&lt;p:surname&gt;</span>Nash<span style="font-weight:bold">&lt;/p:surname&gt;</span>
</div> 
<span style="font-weight:bold">&lt;/p:author&gt;</span>
</div>
<div style="margin-left: 1em;color:green; background-color:white">
<span style="font-weight:bold" title="p:stanza []">&lt;p:stanza&gt;</span>
<div style="margin-left: 1em;color:green; background-color:white">
<span style="font-weight:bold" title="p:line []">&lt;p:line&gt;</span>It is especially fond<span style="font-weight:bold">&lt;/p:line&gt;</span>
</div>
<div style="margin-left: 1em;color:green; background-color:white">
<span style="font-weight:bold" title="p:line []">&lt;p:line&gt;</span>Of a puddle or pond.<span style="font-weight:bold">&lt;/p:line&gt;</span>
</div>
<div style="margin-left: 1em;color:green; background-color:white">
<span style="font-weight:bold" title="p:line []">&lt;p:line&gt;</span>When it dines or sups<span style="font-weight:bold">&lt;/p:line&gt;</span>
</div>
<div style="margin-left: 1em;color:green; background-color:white">
<span style="font-weight:bold" title="p:line []">&lt;p:line&gt;</span>It bottoms-ups.<span style="font-weight:bold">&lt;/p:line&gt;</span>
</div>
<span style="font-weight:bold">&lt;/p:stanza&gt;</span>
</div>
<div style="margin-left: 1em;color:green; background-color:white">
<span style="font-weight:bold" title="p:stanza []">&lt;p:stanza&gt;</span>
<div style="margin-left: 1em;color:green; background-color:white">
<span style="font-weight:bold" title="p:line []">&lt;p:line&gt;</span>Behold the duck.<span style="font-weight:bold">&lt;/p:line&gt;</span>
</div>
<div style="margin-left: 1em;color:green; background-color:white">
<span style="font-weight:bold" title="p:line []">&lt;p:line&gt;</span>It does not cluck.<span style="font-weight:bold">&lt;/p:line&gt;</span>
</div>
<div style="margin-left: 1em;color:green; background-color:white">
<span style="font-weight:bold" title="p:line []">&lt;p:line&gt;</span>A cluck it lacks.<span style="font-weight:bold">&lt;/p:line&gt;</span>
</div>
<div style="margin-left: 1em;color:green; background-color:white">
<span style="font-weight:bold" title="p:line []">&lt;p:line&gt;</span>It quacks.<span style="font-weight:bold">&lt;/p:line&gt;</span>
</div>
<span style="font-weight:bold">&lt;/p:stanza&gt;</span>
</div>
<span style="font-weight:bold">&lt;/p:poem&gt;</span>
</div>

<p>Display colors:</p>
<ul>
<li style="background-color: white">[validation-attempted] = full, [validity] = <span style="color: green">valid</span>, or <span style="color: red">invalid</span>, or <span style="color: orange">notKnown</span>
</li>
<li style="background-color: #AAC">[validation-attempted] = partial, [validity] = <span style="color: green">valid</span>, or <span style="color: red">invalid</span>, or <span style="color: orange">notKnown</span>
</li>
<li style="background-color: #888">[validation-attempted] = none, [validity] = <span style="color: green">valid</span>, or <span style="color: red">invalid</span>, or <span style="color: orange">notKnown</span>
</li>
<li style="color: #F88; background-color: #644;">[validation attempted] = absent, [validity] = absent</li>
</ul>
</div>
</div>  
 </xsl:template>

<!--* 
................................................................
To do
................................................................

- Don't supply explicit style attributes on elements except
in very special cases.  Move the distinction into the class
attribute and do it in CSS instead.  (Q: how to test on presence
of two class values at once in CSS?  "suppressed guide slide"
vs "guide slide")

- Develop some alternative themes.

- De-cruft this stylesheet.

................................................................
*-->
</xsl:stylesheet>
<!-- Keep this comment at the end of the file
Local variables:
mode: xml
sgml-default-dtd-file:(concat sgmlvol "/SGML/Public/Emacs/xslt.ced")
sgml-omittag:t
sgml-shorttag:t
sgml-indent-data:t
sgml-indent-step:1
End:
-->
